<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 04/09/2019 - Created.
 -->
<!-- VTT WOA Manage Assignments -->
<!--suppress HtmlUnknownTag -->
<template>

	<section role="dialog"
			 aria-modal="true"
			 class="slds-modal slds-fade-in-open slds-modal_large">
		<div class="slds-modal__container">
			<header class="slds-modal__header">
				<h2 class="slds-text-heading_medium slds-hyphenate">
					Manage Assignments
				</h2>
			</header>
			<div class="slds-modal__content slds-p-around_medium hog-reset_overflow hog-height_limited">
				<div class="slds-is-relative">

					<c-hog_error-msg error-message="No record selected. Please select at least one Activity."
									 if:true={hasMissingRecordsError}></c-hog_error-msg>
					<c-hog_error-msg error-message="Current mode is not supported. Please contact administrator."
									 if:false={hasSupportedMode}></c-hog_error-msg>

					<lightning-spinner if:true={actionInProgress}
									   size="medium"
									   alternative-text="Action in progress..."
									   variant="brand"></lightning-spinner>

					<lightning-layout if:true={withoutError}
									  multiple-rows=true>
						<lightning-layout-item size=12
											   small-device-size=12
											   medium-device-size=12
											   large-device-size=12>
							<c-vtt_woa_manage-assignments_tradesman-list woas={_woas}
																		 if:true={tradesmanInfoLoaded}
																		 tradesman-info={tradesmanInfo}
																		 onvendorselection={handleVendorSelection}
																		 ontradesmenselection={handleTradesmenSelection}
																		 onactionstart={handleActionStart}
																		 onactionstop={handleActionStop}></c-vtt_woa_manage-assignments_tradesman-list>
						</lightning-layout-item>
						<lightning-layout-item size=12
											   small-device-size=12
											   medium-device-size=12
											   large-device-size=12>
							<div class="hog-scrollable_auto hog-content-table_height"
								 if:false={hideTable}>

								<lightning-datatable key-field="Id"
													 min-column-width="100"
													 columns={woasColumns}
													 data={_woas}
													 hide-checkbox-column={hasOneRecord}
													 onrowselection={handleRowSelection}></lightning-datatable>

							</div>
						</lightning-layout-item>
					</lightning-layout>

				</div>
			</div>
			<footer class="slds-modal__footer">
				<lightning-button-group >
					<lightning-button-icon alternative-text="Refresh"
										   icon-name="utility:refresh"
										   if:true={isRefreshAvailable}
										   onclick={handleRefresh}></lightning-button-icon>
					<lightning-button label="Clear"
									  variant="neutral"
									  if:true={showBasicActions}
									  onclick={handleClear}></lightning-button>
					<lightning-button label="Assign"
									  variant="success"
									  if:true={showAdvancedActions}
									  onclick={handleAssign}></lightning-button>
					<lightning-button label="Unassign"
									  variant="brand"
									  if:true={showAdvancedActions}
									  onclick={handleUnassign}></lightning-button>
					<lightning-button label="Cancel"
									  variant="destructive"
									  onclick={handleCancel}></lightning-button>
				</lightning-button-group>
			</footer>
		</div>
	</section>
	<div class="slds-backdrop slds-backdrop_open"></div>

</template>